---
title: "List permissions"
url: https://hexelstudio.com/docs/api/ciam-iam/permissions/list
---

# List permissions

**GET** `/permissions`

List the global permission catalog, filtered by resource type and scope. platform: entries are listed only for platform operators.

## Query parameters

- `resource_type: optional string`

  Resource type filter

- `scope: optional string`

  Scope filter

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of Permission`)

- `action: optional string`

- `created_at: optional string`

- `description: optional string`

- `display_name: optional string`

- `id: optional string`

- `is_system: optional boolean`

- `name: optional string`

- `resource_type: optional string`

- `scope: optional string`

- `updated_at: optional string`

## Errors

- `401` Unauthorized
- `500` Internal Server Error

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/permissions' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "action": "string",
    "created_at": "2026-01-01T00:00:00Z",
    "description": "string",
    "display_name": "string",
    "id": "string",
    "is_system": true,
    "name": "string",
    "resource_type": "string",
    "scope": "string",
    "updated_at": "2026-01-01T00:00:00Z"
  }
]
```

### Response (401)

```json
{
  "key": "string"
}
```

### Response (500)

```json
{
  "key": "string"
}
```
